---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: vmselect-http-redirect
  namespace: observability
  labels:
    app.kubernetes.io/name: vmselect
    app.kubernetes.io/instance: victoria-metrics
spec:
  hostnames:
    - vmselect.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: vmselect
      sectionName: http
  rules:
    - filters:
        - type: RequestRedirect
          requestRedirect:
            scheme: https
            statusCode: 301
      matches:
        - path:
            type: PathPrefix
            value: /
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: vmselect
  namespace: observability
  labels:
    app.kubernetes.io/name: vmselect
    app.kubernetes.io/instance: victoria-metrics
spec:
  hostnames:
    - vmselect.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: vmselect
      sectionName: https
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: vmselect-main
          port: 8481
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: vminsert-http-redirect
  namespace: observability
  labels:
    app.kubernetes.io/name: vminsert
    app.kubernetes.io/instance: victoria-metrics
spec:
  hostnames:
    - vminsert.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: vminsert
      sectionName: http
  rules:
    - filters:
        - type: RequestRedirect
          requestRedirect:
            scheme: https
            statusCode: 301
      matches:
        - path:
            type: PathPrefix
            value: /
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: vminsert
  namespace: observability
  labels:
    app.kubernetes.io/name: vminsert
    app.kubernetes.io/instance: victoria-metrics
spec:
  hostnames:
    - vminsert.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: vminsert
      sectionName: https
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: vminsert-main
          port: 8480
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: vmagent-http-redirect
  namespace: observability
  labels:
    app.kubernetes.io/name: vmagent
    app.kubernetes.io/instance: victoria-metrics
spec:
  hostnames:
    - vmagent.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: vmagent
      sectionName: http
  rules:
    - filters:
        - type: RequestRedirect
          requestRedirect:
            scheme: https
            statusCode: 301
      matches:
        - path:
            type: PathPrefix
            value: /
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: vmagent
  namespace: observability
  labels:
    app.kubernetes.io/name: vmagent
    app.kubernetes.io/instance: victoria-metrics
spec:
  hostnames:
    - vmagent.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: vmagent
      sectionName: https
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: vmagent-main
          port: 8429
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /
